Skip to main content
POST
/
vault
/
accounts
/
{vaultAccountId}
/
hide
TypeScript
const response: Promise<FireblocksResponse<VaultActionStatus>> = fireblocks.vaults.hideVaultAccount(vaultsApiHideVaultAccountRequest);
CompletableFuture<ApiResponse<VaultActionStatus>> response = fireblocks.vaults().hideVaultAccount(vaultAccountId, idempotencyKey);
response = fireblocks.vaults.hide_vault_account(vault_account_id, idempotency_key);
curl --request POST \
  --url https://api.fireblocks.io/v1/vault/accounts/{vaultAccountId}/hide
const options = {method: 'POST'};

fetch('https://api.fireblocks.io/v1/vault/accounts/{vaultAccountId}/hide', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "success": true
}
{
  "message": "<string>",
  "code": 123
}

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

vaultAccountId
string<numeric>
required

The vault account to hide

Response

OK

success
boolean